<?php
/**
 * Aerin Theme Settings Page
*/

add_action('admin_menu', 'aerin_settings_init');
add_action('admin_notices', 'aerin_admin_notice');

function aerin_settings_init() {
	$theme_data = wp_get_theme('Aerin');
	$settings_page = add_theme_page('Theme Settings', 'Aerin Theme Settings', 'edit_theme_options', 'theme-settings', 'aerin_settings');
	}
function aerin_admin_tabs($current = 'general') {
	$tabs = array('general' => 'General','logo' => 'Logo','taglines' => 'Taglines','error' => 'Error','help'=>'Help'); 
	$content = "<div id='icon-themes' class='icon32'><br></div><h2 class='nav-tab-wrapper'>";
	foreach($tabs as $tab => $name) {
		$class = ($tab == $current) ? ' nav-tab-active' : '';
		$content .= "<a class= 'nav-tab$class' href= '?page=theme-settings&tab=$tab'>$name</a>";
		}
	$content .= "</h2>";
	echo $content;
	}
function aerin_settings() {
	global $pagenow;
	echo "<div class='wrap'>
	<h1>Aerin Theme Settings</h1>";
	if (isset ($_GET['tab'])) aerin_admin_tabs($_GET['tab']); else aerin_admin_tabs('general');
		if ($pagenow == 'themes.php' && $_GET['page'] == 'theme-settings') {
		if (isset ($_GET['tab'])) $tab = $_GET['tab']; else $tab = 'general';
		switch ($tab) {
			case 'general'	: aerin_layout(); break;
			case 'logo'	: aerinlogo(); break;
			case 'taglines'	: aerin_taglines(); break;
			case 'error'	: aerin_error_options (); break;
			case 'help'	: aerin_help (); break;
			}
		}
	echo "</div>";
	}
function aerin_layout() {
	if (isset($_POST['submit'])) {
		$options = array( 'location','analytics','tagline','headeron','footeron','markers','code','search');
		foreach ($options as $item) $aeringen[$item] = stripslashes($_POST[$item]);
		update_option('aeringen',$aeringen);
		aerin_admin_notice("General theme settings updated.");
		}
	if (isset($_POST['reset'])) {
		delete_option('aeringen');
		aerin_admin_notice("<b>Theme settings have be reset to the default values.</b>");
		}
	$aeringen = aeringen_stored();
	$$aeringen['tagline'] = "checked";
	$$aeringen['location'] = "checked";
	$$aeringen['signoff'] = "checked";
	$path = get_template_directory_uri();
	$content = '<form method="POST" action="">
	<h2>Tagline Location</h2>
	<p><input type="checkbox" style="border: none; padding: 0; margin:0;" name="headeron" '. $aeringen['headeron'] . ' value="checked" /> Use header tagline. Set the tagline position below</p>
	<p><input type="radio" style="border: none; padding: 0; margin:0;" name="tagline" value="logoleft" ' . $logoleft . ' /> <img src='. $path.'/images/left.gif /> <input type="radio" style="border: none; padding: 0; margin:0;" name="tagline" value="logoright" ' . $logoright . ' /> <img src='.$path.'/images/right.gif /> <input type="radio" style="border: none; padding: 0; margin:0;" name="tagline" value="logobelow" ' . $logobelow . ' /> <img src='. $path.'/images/below.gif /></p>
	<p><input type="checkbox" style="border: none; padding: 0; margin:0;" name="footeron" '.$aeringen['footeron'] . ' value="checked" /> Use footer tagline (appears at the bottom of the page)</p>
	<p>Use the <a href= "?page=theme-settings&tab=taglines">taglines</a> tab to change the tagline content</p>
	<h2>Site Search</h2>
	<p><input name="search" type="checkbox" ' .$aeringen['search'] . ' value="checked"/> Include site search in the navigation bar</p>
	<h2>Analytics</h2>
	<p>Set analytics code location: <input type="radio" style="border: none; padding: 0; margin:0;" name="location" value="analhead" ' . $analhead . ' /> Document head <input type="radio" style="border: none; padding: 0; margin:0;" name="location" value="analfoot" ' .  $analfoot . ' /> Document footer <input type="radio" style="border: none; padding: 0; margin:0;" name="location" value="analnone" ' . $analnone . ' /> No analytics.</p>
	<p>Google likes its code in the head, most others go in the footer. Check with your provider.</p>
	<p>Add your analytics code to the text box below.</p>
	<textarea name="analytics" label="Analytics" rows="4" style="width:90%;border: 1px solid #343838;">' . $aeringen['analytics'] . '</textarea>
	<h2>Code Reduction</h2>
	<p><input name="code" type="checkbox" ' .$aeringen['code'] . ' value="checked"/> Remove code bloat from header and menus. This will make the theme much lighter but may cause accessibility and styling issues. Use with caution.</p>
	<h2>Layout Markers</h2>
	<p><input name="markers" type="checkbox" ' .$aeringen['markers'] . ' value="checked"/> Show layout markers (to help with alignments, margins, paddings and borders)</p>
	<p><input type="submit" name="submit" class="button-primary" style="color: #FFF" value="Update General Settings" /> <input type="submit" name="reset" class="button-primary" value="Reset" onclick="return window.confirm( \'Are you sure you want to reset these settings?\');"/></p>
	</form>';
	echo $content;
	}
function aerinlogo() {
	if (isset($_POST['submit'])) {
		$options = array('logoalt','logotitle','logolink','logoresponsive','logoalternative');
		foreach ($options as $item) $aerinlogo[$item] = stripslashes($_POST[$item]);
		$filename = $_FILES['logo_name']['name'];
		if (!empty($filename)) {
			$ext = substr(strrchr($filename,'.'),1);
			if (strpos('jpegjpggifpng',$ext) === false) {$error = 'error'; aerin_admin_notice("Unable to upload logo. Check filetype and size: jpg, gif or png only. Max 100Kb"); }
			if (empty($error)) {		
				$aerinlogo['logourl'] = get_bloginfo(template_url)."/images/".$filename;
				$path = get_template_directory();
				move_uploaded_file($_FILES['logo_name']['tmp_name'], $path .'/images/'.$_FILES['logo_name']['name']);
				$aerinlogo['logoalternative'] = $aerinlogo['logourl'].','.$aerinlogo['logoalternative'];
				aerin_admin_notice("Logo settings updated.");
				}
			}
		else $aerinlogo['logourl'] = $_POST['derek'];
		if (!empty($_POST['logoclear'])) $aerinlogo['logoalternative'] = $aerinlogo['logourl'];
		update_option('aerinlogo',$aerinlogo);
		}
	if (isset($_POST['reset'])) {
		delete_option('aerinlogo');
		aerin_admin_notice("<b>Theme logo settings have been reset to the default values.</b>");
		}
	$aerinlogo = aerinlogo_stored();
	if ($aerinlogo['logolink'] == 'link') $aerinlogo['logolink'] ='checked';
	if ($aerinlogo['logoresponsive'] == 'responsive') $aerinlogo['logoresponsive'] ='checked';
	$content ='<h2>Current Logo</h2>
	<p><img src="'.$aerinlogo['logourl'] . '"></p>
	<p>Logo URL: ' .$aerinlogo['logourl'] . '</p>
	<h2>Change Logo Settings</h2>
	<form enctype="multipart/form-data" method="POST" action="">
	<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
	<p>Select a logo : <input name="logo_name" type="file" size="50" value=""/> (gif, jpg or png only. Max file size 100Kb)</p>
	<p>Alt text (optional): <input name="logoalt" type="text" style="border: 1px solid #343838;" size="50" value="'.$aerinlogo['logoalt'] . '"/></p>
	<p>Image Title: (optional): <input name="logotitle" type="text" style="border: 1px solid #343838;" size="50" value="' .$aerinlogo['logotitle'] . '"/></p>
	<p><input name="logolink" type="checkbox" ' .$aerinlogo['logolink'] . ' value="checked"/> Logo links to your homepage?</p>
	<p><input name="logoresponsive" type="checkbox" ' .$aerinlogo['logoresponsive'] . ' value="checked"/> Responsive logo (resizes to fit the screen)</p>
	<input type="hidden" name="logoalternative" value="' . $aerinlogo['logoalternative'] . '" />
	<p><input type="submit" name="submit" class="button-primary" value="Update Logo" /></p>
	<h2>Available Logos</h2>
	<p>Select one of the logos below to use it in your theme</p><p>';
	$arr = explode(",",$aerinlogo['logoalternative']);
	foreach ($arr as$item) {
		if ($aerinlogo['logourl'] == $item) $checked = 'checked'; else $checked = '';
		if (!empty($item)) $content .='<input type="radio" name="derek" value="' .$item . '" ' .$checked . ' />&nbsp;&nbsp;<img style="max-width:40%; height:auto;" src="'.$item.'" /><br>';
		}
	$content .='</p><p><input name="logoclear" type="checkbox" value="checked"/> Clear all alternate logos (only the selected logo will remain)</p>
	<p><input type="submit" name="submit" class="button-primary" value="Update Logo" /> <input type="submit" name="reset" class="button-primary" value="Reset" onclick="return window.confirm( \'Are you sure you want to reset these settings?\');"/></p>
	</form>';
	echo $content;
	}
function aerin_taglines() {
	if (isset($_POST['submit'])) {
		$options = array('header','footer');
		foreach ($options as $item) $aerintag[$item] = stripslashes($_POST[$item]);
		update_option('aerintag',$aerintag);
		aerin_admin_notice("Tagline settings updated.");
		}
	$aerintag = aerintag_stored();
	$header = $aerintag['header'];
	$footer = $aerintag['footer'];
	echo '<h2>Header Tagline</h2>
	<p>Use the <a href= "?page=theme-settings&tab=general">general</a> tab to change how the taglines are displayed</p>
	<form method="POST" action="">';
	wp_editor(stripslashes($header), 'header', $settings = array('textarea_rows' => '4'));
	echo '<p>The <a href="'. get_admin_url().'/theme-editor.php">style</a> for the header tagline is #tagline.</p>
	<h2>Footer Sign-off</h2>';
	wp_editor(stripslashes($footer), 'footer', $settings = array('textarea_rows' => '4'));
	echo '<p>The <a href="'. get_admin_url().'/theme-editor.php">style</a> for the sign-off line is #signoff.</p>
	<p><input type="submit" name="submit" class="button-primary" style="color: #FFF" value="Update Tagline Settings" /> <input type="submit" name="reset" class="button-primary" value="Reset" onclick="return window.confirm( \'Are you sure you want to reset these settings?\');"/></p>
	</form>';
	}
function aerin_error_options() {
	if (isset($_POST['submit'])) {
		$aerinerr['error'] = $_POST['error'];
		$aerinerr['errortitle'] = $_POST['errortitle'];
		update_option('aerinerr',$aerinerr);
		aerin_admin_notice("Error message updated.");
		}
	if (isset($_POST['reset'])) {
		delete_option('aerinerr');
		aerin_admin_notice("<b>Theme error message has been reset to the default values.</b>");
		}
	$aerinerr = aerinerr_stored();
	$error = $aerinerr['error'];
	echo '<h2>Page not found error message</h2>
	<p>Error Page title: <input name="errortitle" type="text" style="border: 1px solid #343838;" size="50" value="'.$aerinerr['errortitle'] . '"/></p>
	
	<form method="POST" action="">';
	wp_editor($error, 'error', $settings = array('textarea_rows' => '4'));
	echo '<p><input type="submit" name="submit" class="button-primary" style="color: #FFF" value="Update Error Message" /> <input type="submit" name="reset" class="button-primary" value="Reset" onclick="return window.confirm( \'Are you sure you want to reset these settings?\');"/></p>
	</form>';
	}
function aerin_help(){
	$content ='<h2>Help on using the Aerin Responsive Theme</h2>
	<p>This theme isn\'t really designed to be used straight out the box. The styling is a bit clunky and the colours are just there to act as markers so you know where each bit is.</p>
	<p>To get the theme (and your site) working properly here are a few guidelines:</p>
	<h2>Site Settings</h2>
	<p>Change the <a href="'.get_admin_url().'options-permalink.php">permalinks</a> to something useful (default is the page ID).</p>
	<p>Put all your <a href="'.get_admin_url().'options-media.php">media</a> in one folder (so much easier to find things).</p>
	<p>Change your <a href="'.get_admin_url().'options-reading.php">homepage</a> settings (the default is your latest posts).</p>
	<p>Create your <a href="'.get_admin_url().'nav-menus.php">menus</a></p>
	<p>Sort out what <a href="'.get_admin_url().'widgets.php">widgets</a> you want in your sidebar and footer.</p>
	<h2>Theme Settings<h2>
	<h3>General</h3>
	<p>Select if and where you want the taglines to display</p>
	<p>Check the box if you want to display a search box in the header to the right of the main menu. If you choose this option the search box will display below the navigation on smaller screens.</p>
	<p>If you want analytics choose the location and enter the analytics code.</p>
	<p>There is an option to remove a lot of the header and navigation code. This will make the theme much lighter but may mess up your styling. Use with caution.</p>
	<p>To assist with styling there is an option to display some basic markers to show where the main elements are located.</p>
	<h3>Logo</h3>
	<p>Use this to upload your logo. If you select the \'responsive\' option your logo will resize to fit the device.</p>
	<p>You can upload more than one logo and swap between them.</p>
	<p>The max-width of the site is 1060 pixels, a narrower logo won\'t fill the page.</p>
	<h3>Taglines</h3>
	<p>This is where you change the content of your taglines. You can insert text, headers, lists and images.</p>
	<p>The options to display the taglines is set in the general tab</p>
	<h3>Error Page</h3>
	<p>Like it says on the tin, this is where you can create a custom error page. You can insert text, headers, lists and images.</p>
	<h2>Get More Help</h2>
	<p>Send an email to <a href="mailto:mail@quick-plugins.com">mail@quick-plugins.com</a>.</p>';
	echo $content;
	}

function aerin_admin_notice($message) {
	if (!empty($message)) echo '<div class="updated"><p>'.$message.'</p></div>';
	}
